%define sourcename %{name}-release

Summary:        An install helper program for OpenCollaborationServices
Name:           ocs-url
Version:        3.0.0
Release:        %mkrel 1
License:        GPLv3+
Group:          System/Base
URL:            https://github.com/%{name}/%{name}
Source0:        %{url}/archive/release-%{version}.tar.gz
# https://github.com/akiraohgaki/qtlib
# got from scripts/import.sh script and xz archived.
# this is a build dep not included in source
Source1:        qtlib.tar.xz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Svg)
%rename xdgurl

Requires:       qtdeclarative5
Requires:       qtquickcontrols5

%description
%{name} is an install helper program for items served
on OpenCollaborationServices (OCS). It is an URL handler
for xdg:// and ocs:// scheme. It enables you to download
or install desktop stuff from opendesktop.org or other sites.

%prep
%autosetup -n %{sourcename}-%{version}
tar -xvf %{SOURCE1} -C lib/

%build
%qmake_qt5 PREFIX=%{_prefix}
%make_build

%install
%qmakeinstall_std

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg


%changelog
* Sat Mar 11 2017 tarakbumba <tarakbumba> 3.0.0-1.mga6
+ Revision: 1092080
- Updated to 3.0.0 version
- Package renamed by upstream
- Update to 2.0.3 version

* Sat Jan 07 2017 tarakbumba <tarakbumba> 2.0.2-1.mga6
+ Revision: 1080535
- imported package xdgurl

